/*
Theme Name: electricman-child
Theme URI: https://elementor.com/
Description: Child theme for Hello Elementor
Author: Your Name
Template: electricman
Version: 1.0.0
*/

/* Add your custom CSS below */

.elementor-11998 .elementor-element.elementor-element-bd433e4 .elementor-nav-menu--main > .elementor-nav-menu > li > .elementor-nav-menu--dropdown, .elementor-11998 .elementor-element.elementor-element-bd433e4 .elementor-nav-menu__container.elementor-nav-menu--dropdown {
	padding-top: 19px !important;
	padding-bottom: 19px !important;
}
/*electrical installation services custom css starts here */
.contact_btn_icon .elementor-button-content-wrapper {
	align-items:center!important;
}
contact_btn_icon .elementor-button-icon {
	font-size:24px!important;
}
#banner-btn svg {
	height: 59.95px !important;
	width: 53.95px !important;
	position: absolute !important;
	right: -3px !important;
	top: 12px !important;
	fill: #000;
filter: none;
}
#service-banner-btn svg {
	height: 59.95px !important;
	width: 53.95px !important;
	position: absolute !important;
	right: 2px !important;
	top: 9px !important;
	fill: #000;
filter: none;
}

#google-icon svg {
	width:24px!important;
	height: 24px!important;
}

#contact-us a {
	color: #000 !important;
}

#google .elementor-button-icon svg {
  height: auto;
  width: 25px;
}
/*  footer*/

#footer-no a {

	color: #fff !important;

}
.contact a {
	color: #696969;
}


.text a {
	color: #696969;
}
/* footer */

#mail a{
	color:#000;
}
/* Add your custom styles below this line */
/* commerical-electrical-inspections css starts here */

#google-icon svg {
	width: 24px!important;
	height: 24px!important;
}
 
/* Our-Services Page Css Start Here */
 
 
/* Main Button */
.edge-btn .elementor-button {
    position: relative;
/*     padding-right: 55px; /* icon space */ */
/*     border-radius: 40px; */
/*     overflow: visible; */
}
 
/* Icon Container */
.edge-btn .elementor-button .elementor-button-icon {
    position: absolute;
    right: -1px; /* bahar nikalne ke liye */
    top: 35%;
    transform: translateY(-10%);
/*  
    display: flex;
    align-items: center;
    justify-content: center; */
/*     background: inherit;
    border-radius: 50%; */
}
 
/* Icon size adjust */
.edge-btn .elementor-button .elementor-button-icon i,
.edge-btn .elementor-button .elementor-button-icon svg {
    font-size: 52.95px !important;
}
.elementor-button-icon {
  font-size: 25px;
}
 
/* Our-Services Page Css End Here */
 
/* Home page css */
.blog-post .elementor-post__text {
	display: flex !important;
}
.blog-post .elementor-post__title {
	order: 2;
}
.blog-post .elementor-post__meta-data {
	order: 1;
}
 
 
/* Home page css end  */

/* service */
#google-icon
.elementor-button-content-wrapper {
	display: flex;
	flex-direction: row;
	gap: 11px!important;
	justify-content: center;
	align-items: center;
}
#banner-btn
.elementor-button-content-wrapper {
	display: flex;
/* 	flex-direction: row; */
	gap: 5px;
	justify-content: center;
	align-items: center;
}

#service-banner-btn .elementor-button-content-wrapper {
	display: flex;
/* 	flex-direction: row; */
	gap: 5px;
	justify-content: center;
	align-items: center;
}
.service-btnicon .elementor-button-icon svg {
height: 24px;
width: 24px;
}
.service-btnicon .elementor-button-content-wrapper {
	display:flex!important;
	align-items:center!important;
}
@media only screen and (max-width:767px){
#banner-btn svg {
	height: 35px !important;
	width: 35px !important;
	right: -3px !important;
	top: 7px !important;
}
	#service-banner-btn svg {
	height: 35px !important;
	width: 35px !important;
	right: -3px !important;
	top: 7px !important;
}
		#google-icon .elementor-button-icon svg {
	height: auto;
	width: 16px !important;
}
.elementor-button-content-wrapper {
	gap: 5px !important;
}
	#google-icon .elementor-button-content-wrapper {
	gap: 5px !important;

}
	
}
@media only screen and (min-width:768px) and (max-width:1024px){

#banner-btn svg {
	height: 45px !important;
	width: 45px !important;
	right: 10px !important;
	top: 12px !important;
}
	#service-banner-btn  svg {
	height: 45px !important;
	width: 45px !important;
	right: 20px !important;
	top: 12px !important;
}
}
@media only screen and (min-width:1025px) and (max-width:1199px){
#banner-btn svg {
	height: 45px !important;
	width: 45px !important;
	right: -5px !important;
	top: 12px !important;
}
	#service-banner-btn svg {
	height: 45px !important;
	width: 45px !important;
	right: -5px !important;
	top: 12px !important;
}
	
.elementor-10632 .elementor-element.elementor-element-680be5e img {
	width: 100%;
	height: 140px;
	object-fit: cover;
	object-position: center center;
}
	.elementor-10632 .elementor-element.elementor-element-7f37652 {
	padding-left: 20px;
}
	.elementor-10632 .elementor-element.elementor-element-b638070 {
	column-gap: 7px !important;
}
	.elementor-10632 .elementor-element.elementor-element-7f37652 {
	width: 100% !important;
}
	.elementor-button-text {
	font-size: 14px !important;
}
}

@media only screen and (min-width:1200px) and (max-width:1350px){

.elementor-10632 .elementor-element.elementor-element-b638070 {
	column-gap: 7px !important;
}
.elementor-10632 .elementor-element.elementor-element-de453ff .elementor-button {
	padding: 13.4px 32px 13px 10px !important;
}
.elementor-10632 .elementor-element.elementor-element-a2004b3 .elementor-button {
	padding: 12px 38px 12px 15px !important;
}
	.elementor-10632 .elementor-element.elementor-element-c2538bc .elementor-button {
	padding: 10px 8px 8px 8px !important;
}
	.elementor-10632 .elementor-element.elementor-element-7f37652 {
	margin-right: 15px !important;
	padding-left: 15px !important;
}
#banner-btn svg {
	height: 45px !important;
	width: 45px !important;
	right: -5px !important;
	top: 12px !important;
}
	#service-banner-btn svg {
	height: 45px !important;
	width: 45px !important;
	right: -5px !important;
	top: 12px !important;
}
	.elementor-10632 .elementor-element.elementor-element-680be5e img {
	width: 100%;
	height: 212px;
	object-fit: cover;
	object-position: center center;
}
	.elementor-10632 .elementor-element.elementor-element-7f37652 {
	width: 60%;
}

}


span.elementor-icon {
    margin-bottom: -2px;
}
.g-icon .elementor-button-icon svg {
  height: auto;
  width: 24px !important;
}
.why .elementor-icon-box-title{
	margin-top:3.5px !important;
}
#service .elementor-widget-image-box .elementor-image-box-img img{
	width:100% !important;
}
/* service end */
/* powerplan css starts here*/
.powerplan_form .elementor-field-textual {
	min-height:52px !important;
	padding-left:16px!important;
}
.powerplan_form #form-field-message {
	height:128px !important;
	padding-top:16px!important;
}
.powerplan_form .elementor-field-group .elementor-field-textual::placeholder {
	opacity: 1!important;
}
.powerplan_iconbox .elementor-icon-box-title {
	margin-top:1px !important;
}
.powerplan_iconbox-2 .elementor-icon-box-title {
	margin-top:2px !important;
}
/* powerplan page css ends here */



@media only screen and (min-width:1024px) and (max-width:1195px){


.elementor-19249 .elementor-element.elementor-element-9218454 {
	--width: 100%;
}
.elementor-19249 .elementor-element.elementor-element-7a09e73 img {
	height: 140px;
}
}
@media only screen and (min-width:1024px) and (max-width:1195px){
 
.elementor-10874 .elementor-element.elementor-element-4bd3193 {
	--padding-left: 54px !important;
}
.elementor-10874 .elementor-element.elementor-element-4bd3193 {
	--width: 100%;
}
.elementor-10874 .elementor-element.elementor-element-107d670 img {
	height: 140px !important;
}
}

/* blog page */

.my-post .elementor-post__read-more::after {
    content: "";
    display: inline-block;
    width: 24px;
    height: 24px;
    background-image: url("https://electric.dev.restobox.org/wp-content/uploads/2026/02/blog-button-icon.svg");
    background-size: contain;
    background-repeat: no-repeat;
    margin-left: 0px;
    background-position: 0 5px;
}
.my-post .page-numbers.next::after {
    content: url('https://electric.dev.restobox.org/wp-content/uploads/2026/02/pagination-icon.svg');
    position: absolute;
    padding-left: 5px;
}

.my-post .page-numbers.current {
    text-decoration: underline;
    text-underline-offset: 8.5px;
}
.blog-cate .current-cat a {
    color: #5BB745 !important;
    text-decoration: underline;
    text-underline-offset: 1px;
}
.blog-cate .cat-item a {
    font-size: 16px;
    font-family: "Manrope", Sans-serif;
    font-weight: 400;
    line-height: 22px;
    color: #696969;
    list-style: none;
}


 
@media only screen and (min-width:1025px) and (max-width:1199px){
 
 
.elementor-14330 .elementor-element.elementor-element-0891ead {
 
	padding-left: 20px;
}
.elementor-14330 .elementor-element.elementor-element-0891ead {
	--width: 90%;
}
.elementor-14330 .elementor-element.elementor-element-7eac4c7 {
	--width: 40%;
}
.elementor-14330 .elementor-element.elementor-element-4532060 img {
	width: 100%;
	height: 116px;
	object-fit: cover;
	object-position: center center;
}
.elementor-14330 .elementor-element.elementor-element-0891ead {
 
	padding-left: 35px;
padding-right: 0px;
}
}
 
 
 
@media only screen and (min-width:1200px) and (max-width:1300px){
 
.elementor-14330 .elementor-element.elementor-element-0891ead {
	padding-left: 20px;
	padding-right: 0px;
}
.elementor-14330 .elementor-element.elementor-element-0891ead {
	width: 84%;
}
.elementor-14330 .elementor-element.elementor-element-4532060 img {
 
	height: 175px;
 
}}
 
 /* blog page end */

/* commercial-electrical-services page css start here */
#acco svg {
	width: 40px !important;
	height: 40px;
}
#acco .elementor-tab-title {
	border: 1px #E0E0E0 solid;
	border-left: 0px;
	border-right: 0px;
	border-top: 0px;
}
#acco .elementor-tab-title.elementor-active {
	border: none;
	padding-bottom: 0;
}
#acco .elementor-tab-content.elementor-active {
	border-bottom: 1px #E0E0E0 solid;
	padding-bottom: 0px;
}
#acco ul {
	list-style: none;
	padding-left: 24px;
	margin-bottom: 23px;
	margin-top: 28px;
}
#acco ul li::before {
	content: "•";
	font-size: 17px;
	position: absolute;
	left: 6.5px;
}
#acco p {
	padding-right: 50px;
	padding-top: 0px;

}
#acco .elementor-accordion-icon.elementor-accordion-icon-right {
    margin-top: -5px;
}
@media (max-width:767px){
	#acco p {
	   padding-right: 0px;
}
	#acco .elementor-accordion-icon.elementor-accordion-icon-right {
    margin-top: 5px;
}
	#acco .elementor-accordion-title {
	padding-right: 65px;
}
}
@media only screen and (min-width: 426px) and (max-width: 768px){
	#acco .elementor-accordion-icon.elementor-accordion-icon-right {
    margin-top: -5px;
}
}
/* #acco .elementor-accordion-item:nth-child(1) .elementor-tab-title {
  padding-bottom: 16px;
}
#acco .elementor-accordion-item:nth-child(2) .elementor-tab-title {
padding-top: 23px;
  padding-bottom: 24px !important;
}
#acco .elementor-accordion-item:nth-child(3) .elementor-tab-title {
	padding-top: 28px;
	padding-bottom: 29px;
} */


/* commercial-electrical-services page css end here */

@media only screen and (min-width: 1025px) and (max-width: 1371px) {
#banner-bg {
	width: 100% !important;
}
#banner-img img {
	height: 150px !important;
}
	.elementor-10763 .elementor-element.elementor-element-e274191 {
	--padding-left: 50px !important;

}
#banner-bg {
	padding-left: 50px !important;
}
	
}
/* industrial page css starts here */
.industrial_btn .elementor-button-icon svg {
 height: 24px!importantimportant;
 width:24px!important;
}

/* google icon css starts here */
.elementor-icon-box-title {
	padding-top: 0px !important;
}
@media (max-width:767px)
{
#google-icon svg {
	width: 16px !important;
	height: 16px !important;
}
#contact_bu .elementor-button-content-wrapper {
	gap: 9px !important;
}
}

/* blog single post css start here */
.single-post h1 {
    font-family: "Sora", Sans-serif;
    font-size: 40px;
    font-weight: 700;
    line-height: 50px;
    color: #262626;
}
.post-content h2, .post-content h3, .post-content h4 {
	color: #262626!important;
	font-weight: 700!important;
	font-size: 30px!important;
	line-height: 38px;
	font-family: "Sora", Sans-serif;
    padding-bottom: 10px;
    padding-top: 10px;
}
.post-content ul {
	margin-left: -10px;
	padding-bottom: 20px;
}


.single-post .post-content p {
    font-family: "Manrope", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
    color: #696969;
	padding-bottom: 10px;
}


.single-post .post-content a {
    color: #696969;
}

.single-post .post-content li {
    font-family: "Manrope", Sans-serif!important;
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
    color: #696969;
}
.post-info a.elementor-post-info__terms-list-item {
    text-decoration: underline;
}
.post-content ul {
  list-style: none;
  padding-left: 30px;
}

.post-content ul li {
  position: relative;
}

.post-content ul li::before {
  content: "•";
  font-size: 15px; /* smaller bullet */
  position: absolute;
  left: -16px;
  top: 0;
}

.my-post .elementor-pagination {
    margin-left: -34px;
}
.my-post .elementor-pagination .page-numbers:not(:first-child) {
	margin-left: calc( 50px/2 )!important;
}
@media (max-width:767px){
	.post-content h2, .post-content h3, .post-content h4 {
		font-size: 24px!important;
		line-height: 30px;
	}
}
/* blog single page css end here  */


.our-process::before {
	content: "";
	display: block;
	border-left: 1px dashed #DD0000;
	height: 67%;
	width: 1px;
	position: absolute;
	left: 17px;
	top: 43px;
}

.our-clients  .swiper-slide.swiper-slide {
	padding: 31px 23px;
	min-height: 469px;
}
.elementor-button-content-wrapper {
	align-items: center;
}

.our-clients .elementor-testimonial__header {
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 27px;
    padding: 0 49px 0 23px !important;
}
.button-client .elementor-button-icon svg {
	height: auto;
	width: 24px;
}


.safety-concerns  {
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 700;
	font-size: 18px;
	line-height: 22px;
	text-align: center;
	color: #FFFFFF;
	background: #DD0000;
	width: 35px;
	height: 35px;
	display: flex;
	justify-content: center;
	align-items: center;
	margin-right: 13px;
}
.electric-faq .elementor-accordion-title {
	display: flex;
	align-items: center;
}

 .electric-faq .elementor-accordion-item {
	border-bottom:1px solid #e0e0e0!important;
}

.electric-faq .elementor-accordion .elementor-accordion-item:last-child {
  border-bottom: none !important;
}
.electric-faq .elementor-accordion-item {
	border-bottom: 1px solid #e0e0e0 !important;
}
.electric-faq .elementor-accordion-icon {
	font-size: 24px !important;
}

@media (max-width:767px)
{
.elementor-image-box-img img {
	width: 100%;
}
	
	#form .elementor-field-label {
	margin-right: 20px !important;
}
}


/* electric repair mobile css */
@media (max-width:767px){
	.icon-box-heading .elementor-icon-box-title {
    	margin-top: 13px;
}
}